﻿using Microsoft.Practices.ObjectBuilder;
using Microsoft.Practices.CompositeWeb;

namespace GlobalBank.EFT.Views
{
    public class ReviewTransfersViewPresenter : Presenter<IReviewTransfersView>
    {
        private EFTController _controller;

        public ReviewTransfersViewPresenter([CreateNew] EFTController controller)
        {
            _controller = controller;
        }

        public override void OnViewLoaded()
        {
            View.Transfers = _controller.GetTransfers();
        }

        public override void OnViewInitialized()
        {
            // TODO: Implement code that will be executed the first time the view loads
        }

        public void OnReviseTransfers()
        {
            _controller.ReviseTransfers();
        }

        public void OnProcessTransfers()
        {
            _controller.ProcessTransfers();
        }
    }
}




